weka.gui.scripting

## Enum SyntaxDocument.ATTR_TYPE

- java.lang.Object
- - java.lang.Enum<SyntaxDocument.ATTR_TYPE>
  - - weka.gui.scripting.SyntaxDocument.ATTR_TYPE

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<SyntaxDocument.ATTR_TYPE>
  Enclosing class:
    SyntaxDocument

      public static enum SyntaxDocument.ATTR_TYPE
      extends java.lang.Enum<SyntaxDocument.ATTR_TYPE>

  The attribute type.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `Comment` a comment.
    `Normal` normal string.
    `Quote` a quoted string.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static SyntaxDocument.ATTR_TYPE` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static SyntaxDocument.ATTR_TYPE[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### Normal

          public static final SyntaxDocument.ATTR_TYPE Normal

      normal string.

    - #### Comment

          public static final SyntaxDocument.ATTR_TYPE Comment

      a comment.

    - #### Quote

          public static final SyntaxDocument.ATTR_TYPE Quote

      a quoted string.

  - ### Method Detail

    - #### values

          public static SyntaxDocument.ATTR_TYPE[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SyntaxDocument.ATTR_TYPE c : SyntaxDocument.ATTR_TYPE.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SyntaxDocument.ATTR_TYPE valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null